Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# COMMIT

## Name

COMMIT -- commit the current transaction

## Synopsis

    COMMIT [ WORK | TRANSACTION ]

## Description

> Note: The following description applies both to Postgres-XC and PostgreSQL if not described explicitly.

`COMMIT` commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

## Parameters

`WORK`
`TRANSACTION`

  Optional key words. They have no effect.

## Notes

Use ROLLBACK to abort a transaction.

Issuing `COMMIT` when not inside a transaction does no harm, but it will provoke a warning message.

> Note: The following description applies only to Postgres-XC

When more than one node are involved in a transaction, commit may be assosicated with inplicit 2PC and PREPARE command will be issued internaly. In this case, application may have additional restriction related to 2PC restrictions.

## Examples

To commit the current transaction and make all changes permanent:

    COMMIT;

## Compatibility

The SQL standard only specifies the two forms `COMMIT` and `COMMIT WORK`. Otherwise, this command is fully conforming.

## See Also

BEGIN, ROLLBACK

Prev | Home | Next
COMMENT | Up | COMMIT PREPARED